package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwBdScenarioExample {
    /**
     * cw_bd_scenario
     */
    protected String orderByClause;

    /**
     * cw_bd_scenario
     */
    protected boolean distinct;

    /**
     * cw_bd_scenario
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public CwBdScenarioExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * @mbg.generated 2019-09-17
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * cw_bd_scenario 2019-09-17
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("ID like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("ID not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andYwlxIsNull() {
            addCriterion("YWLX is null");
            return (Criteria) this;
        }

        public Criteria andYwlxIsNotNull() {
            addCriterion("YWLX is not null");
            return (Criteria) this;
        }

        public Criteria andYwlxEqualTo(String value) {
            addCriterion("YWLX =", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxNotEqualTo(String value) {
            addCriterion("YWLX <>", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxGreaterThan(String value) {
            addCriterion("YWLX >", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxGreaterThanOrEqualTo(String value) {
            addCriterion("YWLX >=", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxLessThan(String value) {
            addCriterion("YWLX <", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxLessThanOrEqualTo(String value) {
            addCriterion("YWLX <=", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxLike(String value) {
            addCriterion("YWLX like", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxNotLike(String value) {
            addCriterion("YWLX not like", value, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxIn(List<String> values) {
            addCriterion("YWLX in", values, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxNotIn(List<String> values) {
            addCriterion("YWLX not in", values, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxBetween(String value1, String value2) {
            addCriterion("YWLX between", value1, value2, "ywlx");
            return (Criteria) this;
        }

        public Criteria andYwlxNotBetween(String value1, String value2) {
            addCriterion("YWLX not between", value1, value2, "ywlx");
            return (Criteria) this;
        }

        public Criteria andJymIsNull() {
            addCriterion("JYM is null");
            return (Criteria) this;
        }

        public Criteria andJymIsNotNull() {
            addCriterion("JYM is not null");
            return (Criteria) this;
        }

        public Criteria andJymEqualTo(String value) {
            addCriterion("JYM =", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotEqualTo(String value) {
            addCriterion("JYM <>", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymGreaterThan(String value) {
            addCriterion("JYM >", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymGreaterThanOrEqualTo(String value) {
            addCriterion("JYM >=", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymLessThan(String value) {
            addCriterion("JYM <", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymLessThanOrEqualTo(String value) {
            addCriterion("JYM <=", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymLike(String value) {
            addCriterion("JYM like", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotLike(String value) {
            addCriterion("JYM not like", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymIn(List<String> values) {
            addCriterion("JYM in", values, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotIn(List<String> values) {
            addCriterion("JYM not in", values, "jym");
            return (Criteria) this;
        }

        public Criteria andJymBetween(String value1, String value2) {
            addCriterion("JYM between", value1, value2, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotBetween(String value1, String value2) {
            addCriterion("JYM not between", value1, value2, "jym");
            return (Criteria) this;
        }

        public Criteria andJycjmcIsNull() {
            addCriterion("JYCJMC is null");
            return (Criteria) this;
        }

        public Criteria andJycjmcIsNotNull() {
            addCriterion("JYCJMC is not null");
            return (Criteria) this;
        }

        public Criteria andJycjmcEqualTo(String value) {
            addCriterion("JYCJMC =", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcNotEqualTo(String value) {
            addCriterion("JYCJMC <>", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcGreaterThan(String value) {
            addCriterion("JYCJMC >", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcGreaterThanOrEqualTo(String value) {
            addCriterion("JYCJMC >=", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcLessThan(String value) {
            addCriterion("JYCJMC <", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcLessThanOrEqualTo(String value) {
            addCriterion("JYCJMC <=", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcLike(String value) {
            addCriterion("JYCJMC like", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcNotLike(String value) {
            addCriterion("JYCJMC not like", value, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcIn(List<String> values) {
            addCriterion("JYCJMC in", values, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcNotIn(List<String> values) {
            addCriterion("JYCJMC not in", values, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcBetween(String value1, String value2) {
            addCriterion("JYCJMC between", value1, value2, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andJycjmcNotBetween(String value1, String value2) {
            addCriterion("JYCJMC not between", value1, value2, "jycjmc");
            return (Criteria) this;
        }

        public Criteria andXtcclxIsNull() {
            addCriterion("XTCCLX is null");
            return (Criteria) this;
        }

        public Criteria andXtcclxIsNotNull() {
            addCriterion("XTCCLX is not null");
            return (Criteria) this;
        }

        public Criteria andXtcclxEqualTo(String value) {
            addCriterion("XTCCLX =", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxNotEqualTo(String value) {
            addCriterion("XTCCLX <>", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxGreaterThan(String value) {
            addCriterion("XTCCLX >", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxGreaterThanOrEqualTo(String value) {
            addCriterion("XTCCLX >=", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxLessThan(String value) {
            addCriterion("XTCCLX <", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxLessThanOrEqualTo(String value) {
            addCriterion("XTCCLX <=", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxLike(String value) {
            addCriterion("XTCCLX like", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxNotLike(String value) {
            addCriterion("XTCCLX not like", value, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxIn(List<String> values) {
            addCriterion("XTCCLX in", values, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxNotIn(List<String> values) {
            addCriterion("XTCCLX not in", values, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxBetween(String value1, String value2) {
            addCriterion("XTCCLX between", value1, value2, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andXtcclxNotBetween(String value1, String value2) {
            addCriterion("XTCCLX not between", value1, value2, "xtcclx");
            return (Criteria) this;
        }

        public Criteria andDyjhbzIsNull() {
            addCriterion("DYJHBZ is null");
            return (Criteria) this;
        }

        public Criteria andDyjhbzIsNotNull() {
            addCriterion("DYJHBZ is not null");
            return (Criteria) this;
        }

        public Criteria andDyjhbzEqualTo(String value) {
            addCriterion("DYJHBZ =", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzNotEqualTo(String value) {
            addCriterion("DYJHBZ <>", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzGreaterThan(String value) {
            addCriterion("DYJHBZ >", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzGreaterThanOrEqualTo(String value) {
            addCriterion("DYJHBZ >=", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzLessThan(String value) {
            addCriterion("DYJHBZ <", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzLessThanOrEqualTo(String value) {
            addCriterion("DYJHBZ <=", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzLike(String value) {
            addCriterion("DYJHBZ like", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzNotLike(String value) {
            addCriterion("DYJHBZ not like", value, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzIn(List<String> values) {
            addCriterion("DYJHBZ in", values, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzNotIn(List<String> values) {
            addCriterion("DYJHBZ not in", values, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzBetween(String value1, String value2) {
            addCriterion("DYJHBZ between", value1, value2, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andDyjhbzNotBetween(String value1, String value2) {
            addCriterion("DYJHBZ not between", value1, value2, "dyjhbz");
            return (Criteria) this;
        }

        public Criteria andYxfsIsNull() {
            addCriterion("YXFS is null");
            return (Criteria) this;
        }

        public Criteria andYxfsIsNotNull() {
            addCriterion("YXFS is not null");
            return (Criteria) this;
        }

        public Criteria andYxfsEqualTo(String value) {
            addCriterion("YXFS =", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsNotEqualTo(String value) {
            addCriterion("YXFS <>", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsGreaterThan(String value) {
            addCriterion("YXFS >", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsGreaterThanOrEqualTo(String value) {
            addCriterion("YXFS >=", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsLessThan(String value) {
            addCriterion("YXFS <", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsLessThanOrEqualTo(String value) {
            addCriterion("YXFS <=", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsLike(String value) {
            addCriterion("YXFS like", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsNotLike(String value) {
            addCriterion("YXFS not like", value, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsIn(List<String> values) {
            addCriterion("YXFS in", values, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsNotIn(List<String> values) {
            addCriterion("YXFS not in", values, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsBetween(String value1, String value2) {
            addCriterion("YXFS between", value1, value2, "yxfs");
            return (Criteria) this;
        }

        public Criteria andYxfsNotBetween(String value1, String value2) {
            addCriterion("YXFS not between", value1, value2, "yxfs");
            return (Criteria) this;
        }

        public Criteria andSyqfjIsNull() {
            addCriterion("SYQFJ is null");
            return (Criteria) this;
        }

        public Criteria andSyqfjIsNotNull() {
            addCriterion("SYQFJ is not null");
            return (Criteria) this;
        }

        public Criteria andSyqfjEqualTo(String value) {
            addCriterion("SYQFJ =", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjNotEqualTo(String value) {
            addCriterion("SYQFJ <>", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjGreaterThan(String value) {
            addCriterion("SYQFJ >", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjGreaterThanOrEqualTo(String value) {
            addCriterion("SYQFJ >=", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjLessThan(String value) {
            addCriterion("SYQFJ <", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjLessThanOrEqualTo(String value) {
            addCriterion("SYQFJ <=", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjLike(String value) {
            addCriterion("SYQFJ like", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjNotLike(String value) {
            addCriterion("SYQFJ not like", value, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjIn(List<String> values) {
            addCriterion("SYQFJ in", values, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjNotIn(List<String> values) {
            addCriterion("SYQFJ not in", values, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjBetween(String value1, String value2) {
            addCriterion("SYQFJ between", value1, value2, "syqfj");
            return (Criteria) this;
        }

        public Criteria andSyqfjNotBetween(String value1, String value2) {
            addCriterion("SYQFJ not between", value1, value2, "syqfj");
            return (Criteria) this;
        }

        public Criteria andCclbIsNull() {
            addCriterion("CCLB is null");
            return (Criteria) this;
        }

        public Criteria andCclbIsNotNull() {
            addCriterion("CCLB is not null");
            return (Criteria) this;
        }

        public Criteria andCclbEqualTo(String value) {
            addCriterion("CCLB =", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotEqualTo(String value) {
            addCriterion("CCLB <>", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbGreaterThan(String value) {
            addCriterion("CCLB >", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbGreaterThanOrEqualTo(String value) {
            addCriterion("CCLB >=", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbLessThan(String value) {
            addCriterion("CCLB <", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbLessThanOrEqualTo(String value) {
            addCriterion("CCLB <=", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbLike(String value) {
            addCriterion("CCLB like", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotLike(String value) {
            addCriterion("CCLB not like", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbIn(List<String> values) {
            addCriterion("CCLB in", values, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotIn(List<String> values) {
            addCriterion("CCLB not in", values, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbBetween(String value1, String value2) {
            addCriterion("CCLB between", value1, value2, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotBetween(String value1, String value2) {
            addCriterion("CCLB not between", value1, value2, "cclb");
            return (Criteria) this;
        }

        public Criteria andSglxIsNull() {
            addCriterion("SGLX is null");
            return (Criteria) this;
        }

        public Criteria andSglxIsNotNull() {
            addCriterion("SGLX is not null");
            return (Criteria) this;
        }

        public Criteria andSglxEqualTo(String value) {
            addCriterion("SGLX =", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxNotEqualTo(String value) {
            addCriterion("SGLX <>", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxGreaterThan(String value) {
            addCriterion("SGLX >", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxGreaterThanOrEqualTo(String value) {
            addCriterion("SGLX >=", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxLessThan(String value) {
            addCriterion("SGLX <", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxLessThanOrEqualTo(String value) {
            addCriterion("SGLX <=", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxLike(String value) {
            addCriterion("SGLX like", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxNotLike(String value) {
            addCriterion("SGLX not like", value, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxIn(List<String> values) {
            addCriterion("SGLX in", values, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxNotIn(List<String> values) {
            addCriterion("SGLX not in", values, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxBetween(String value1, String value2) {
            addCriterion("SGLX between", value1, value2, "sglx");
            return (Criteria) this;
        }

        public Criteria andSglxNotBetween(String value1, String value2) {
            addCriterion("SGLX not between", value1, value2, "sglx");
            return (Criteria) this;
        }

        public Criteria andHtflIsNull() {
            addCriterion("HTFL is null");
            return (Criteria) this;
        }

        public Criteria andHtflIsNotNull() {
            addCriterion("HTFL is not null");
            return (Criteria) this;
        }

        public Criteria andHtflEqualTo(String value) {
            addCriterion("HTFL =", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflNotEqualTo(String value) {
            addCriterion("HTFL <>", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflGreaterThan(String value) {
            addCriterion("HTFL >", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflGreaterThanOrEqualTo(String value) {
            addCriterion("HTFL >=", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflLessThan(String value) {
            addCriterion("HTFL <", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflLessThanOrEqualTo(String value) {
            addCriterion("HTFL <=", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflLike(String value) {
            addCriterion("HTFL like", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflNotLike(String value) {
            addCriterion("HTFL not like", value, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflIn(List<String> values) {
            addCriterion("HTFL in", values, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflNotIn(List<String> values) {
            addCriterion("HTFL not in", values, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflBetween(String value1, String value2) {
            addCriterion("HTFL between", value1, value2, "htfl");
            return (Criteria) this;
        }

        public Criteria andHtflNotBetween(String value1, String value2) {
            addCriterion("HTFL not between", value1, value2, "htfl");
            return (Criteria) this;
        }

        public Criteria andTzlbIsNull() {
            addCriterion("TZLB is null");
            return (Criteria) this;
        }

        public Criteria andTzlbIsNotNull() {
            addCriterion("TZLB is not null");
            return (Criteria) this;
        }

        public Criteria andTzlbEqualTo(String value) {
            addCriterion("TZLB =", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbNotEqualTo(String value) {
            addCriterion("TZLB <>", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbGreaterThan(String value) {
            addCriterion("TZLB >", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbGreaterThanOrEqualTo(String value) {
            addCriterion("TZLB >=", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbLessThan(String value) {
            addCriterion("TZLB <", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbLessThanOrEqualTo(String value) {
            addCriterion("TZLB <=", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbLike(String value) {
            addCriterion("TZLB like", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbNotLike(String value) {
            addCriterion("TZLB not like", value, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbIn(List<String> values) {
            addCriterion("TZLB in", values, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbNotIn(List<String> values) {
            addCriterion("TZLB not in", values, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbBetween(String value1, String value2) {
            addCriterion("TZLB between", value1, value2, "tzlb");
            return (Criteria) this;
        }

        public Criteria andTzlbNotBetween(String value1, String value2) {
            addCriterion("TZLB not between", value1, value2, "tzlb");
            return (Criteria) this;
        }

        public Criteria andSfhgIsNull() {
            addCriterion("SFHG is null");
            return (Criteria) this;
        }

        public Criteria andSfhgIsNotNull() {
            addCriterion("SFHG is not null");
            return (Criteria) this;
        }

        public Criteria andSfhgEqualTo(String value) {
            addCriterion("SFHG =", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgNotEqualTo(String value) {
            addCriterion("SFHG <>", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgGreaterThan(String value) {
            addCriterion("SFHG >", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgGreaterThanOrEqualTo(String value) {
            addCriterion("SFHG >=", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgLessThan(String value) {
            addCriterion("SFHG <", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgLessThanOrEqualTo(String value) {
            addCriterion("SFHG <=", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgLike(String value) {
            addCriterion("SFHG like", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgNotLike(String value) {
            addCriterion("SFHG not like", value, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgIn(List<String> values) {
            addCriterion("SFHG in", values, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgNotIn(List<String> values) {
            addCriterion("SFHG not in", values, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgBetween(String value1, String value2) {
            addCriterion("SFHG between", value1, value2, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfhgNotBetween(String value1, String value2) {
            addCriterion("SFHG not between", value1, value2, "sfhg");
            return (Criteria) this;
        }

        public Criteria andSfzszzsIsNull() {
            addCriterion("SFZSZZS is null");
            return (Criteria) this;
        }

        public Criteria andSfzszzsIsNotNull() {
            addCriterion("SFZSZZS is not null");
            return (Criteria) this;
        }

        public Criteria andSfzszzsEqualTo(String value) {
            addCriterion("SFZSZZS =", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsNotEqualTo(String value) {
            addCriterion("SFZSZZS <>", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsGreaterThan(String value) {
            addCriterion("SFZSZZS >", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsGreaterThanOrEqualTo(String value) {
            addCriterion("SFZSZZS >=", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsLessThan(String value) {
            addCriterion("SFZSZZS <", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsLessThanOrEqualTo(String value) {
            addCriterion("SFZSZZS <=", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsLike(String value) {
            addCriterion("SFZSZZS like", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsNotLike(String value) {
            addCriterion("SFZSZZS not like", value, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsIn(List<String> values) {
            addCriterion("SFZSZZS in", values, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsNotIn(List<String> values) {
            addCriterion("SFZSZZS not in", values, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsBetween(String value1, String value2) {
            addCriterion("SFZSZZS between", value1, value2, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andSfzszzsNotBetween(String value1, String value2) {
            addCriterion("SFZSZZS not between", value1, value2, "sfzszzs");
            return (Criteria) this;
        }

        public Criteria andJglxIsNull() {
            addCriterion("JGLX is null");
            return (Criteria) this;
        }

        public Criteria andJglxIsNotNull() {
            addCriterion("JGLX is not null");
            return (Criteria) this;
        }

        public Criteria andJglxEqualTo(String value) {
            addCriterion("JGLX =", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxNotEqualTo(String value) {
            addCriterion("JGLX <>", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxGreaterThan(String value) {
            addCriterion("JGLX >", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxGreaterThanOrEqualTo(String value) {
            addCriterion("JGLX >=", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxLessThan(String value) {
            addCriterion("JGLX <", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxLessThanOrEqualTo(String value) {
            addCriterion("JGLX <=", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxLike(String value) {
            addCriterion("JGLX like", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxNotLike(String value) {
            addCriterion("JGLX not like", value, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxIn(List<String> values) {
            addCriterion("JGLX in", values, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxNotIn(List<String> values) {
            addCriterion("JGLX not in", values, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxBetween(String value1, String value2) {
            addCriterion("JGLX between", value1, value2, "jglx");
            return (Criteria) this;
        }

        public Criteria andJglxNotBetween(String value1, String value2) {
            addCriterion("JGLX not between", value1, value2, "jglx");
            return (Criteria) this;
        }

        public Criteria andSfgzIsNull() {
            addCriterion("SFGZ is null");
            return (Criteria) this;
        }

        public Criteria andSfgzIsNotNull() {
            addCriterion("SFGZ is not null");
            return (Criteria) this;
        }

        public Criteria andSfgzEqualTo(String value) {
            addCriterion("SFGZ =", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzNotEqualTo(String value) {
            addCriterion("SFGZ <>", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzGreaterThan(String value) {
            addCriterion("SFGZ >", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzGreaterThanOrEqualTo(String value) {
            addCriterion("SFGZ >=", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzLessThan(String value) {
            addCriterion("SFGZ <", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzLessThanOrEqualTo(String value) {
            addCriterion("SFGZ <=", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzLike(String value) {
            addCriterion("SFGZ like", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzNotLike(String value) {
            addCriterion("SFGZ not like", value, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzIn(List<String> values) {
            addCriterion("SFGZ in", values, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzNotIn(List<String> values) {
            addCriterion("SFGZ not in", values, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzBetween(String value1, String value2) {
            addCriterion("SFGZ between", value1, value2, "sfgz");
            return (Criteria) this;
        }

        public Criteria andSfgzNotBetween(String value1, String value2) {
            addCriterion("SFGZ not between", value1, value2, "sfgz");
            return (Criteria) this;
        }

        public Criteria andFylxIsNull() {
            addCriterion("FYLX is null");
            return (Criteria) this;
        }

        public Criteria andFylxIsNotNull() {
            addCriterion("FYLX is not null");
            return (Criteria) this;
        }

        public Criteria andFylxEqualTo(String value) {
            addCriterion("FYLX =", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxNotEqualTo(String value) {
            addCriterion("FYLX <>", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxGreaterThan(String value) {
            addCriterion("FYLX >", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxGreaterThanOrEqualTo(String value) {
            addCriterion("FYLX >=", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxLessThan(String value) {
            addCriterion("FYLX <", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxLessThanOrEqualTo(String value) {
            addCriterion("FYLX <=", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxLike(String value) {
            addCriterion("FYLX like", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxNotLike(String value) {
            addCriterion("FYLX not like", value, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxIn(List<String> values) {
            addCriterion("FYLX in", values, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxNotIn(List<String> values) {
            addCriterion("FYLX not in", values, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxBetween(String value1, String value2) {
            addCriterion("FYLX between", value1, value2, "fylx");
            return (Criteria) this;
        }

        public Criteria andFylxNotBetween(String value1, String value2) {
            addCriterion("FYLX not between", value1, value2, "fylx");
            return (Criteria) this;
        }

        public Criteria andRecordAccountIsNull() {
            addCriterion("RECORD_ACCOUNT is null");
            return (Criteria) this;
        }

        public Criteria andRecordAccountIsNotNull() {
            addCriterion("RECORD_ACCOUNT is not null");
            return (Criteria) this;
        }

        public Criteria andRecordAccountEqualTo(String value) {
            addCriterion("RECORD_ACCOUNT =", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountNotEqualTo(String value) {
            addCriterion("RECORD_ACCOUNT <>", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountGreaterThan(String value) {
            addCriterion("RECORD_ACCOUNT >", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountGreaterThanOrEqualTo(String value) {
            addCriterion("RECORD_ACCOUNT >=", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountLessThan(String value) {
            addCriterion("RECORD_ACCOUNT <", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountLessThanOrEqualTo(String value) {
            addCriterion("RECORD_ACCOUNT <=", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountLike(String value) {
            addCriterion("RECORD_ACCOUNT like", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountNotLike(String value) {
            addCriterion("RECORD_ACCOUNT not like", value, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountIn(List<String> values) {
            addCriterion("RECORD_ACCOUNT in", values, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountNotIn(List<String> values) {
            addCriterion("RECORD_ACCOUNT not in", values, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountBetween(String value1, String value2) {
            addCriterion("RECORD_ACCOUNT between", value1, value2, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordAccountNotBetween(String value1, String value2) {
            addCriterion("RECORD_ACCOUNT not between", value1, value2, "recordAccount");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitIsNull() {
            addCriterion("RECORD_BENEFIT is null");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitIsNotNull() {
            addCriterion("RECORD_BENEFIT is not null");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitEqualTo(String value) {
            addCriterion("RECORD_BENEFIT =", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitNotEqualTo(String value) {
            addCriterion("RECORD_BENEFIT <>", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitGreaterThan(String value) {
            addCriterion("RECORD_BENEFIT >", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitGreaterThanOrEqualTo(String value) {
            addCriterion("RECORD_BENEFIT >=", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitLessThan(String value) {
            addCriterion("RECORD_BENEFIT <", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitLessThanOrEqualTo(String value) {
            addCriterion("RECORD_BENEFIT <=", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitLike(String value) {
            addCriterion("RECORD_BENEFIT like", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitNotLike(String value) {
            addCriterion("RECORD_BENEFIT not like", value, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitIn(List<String> values) {
            addCriterion("RECORD_BENEFIT in", values, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitNotIn(List<String> values) {
            addCriterion("RECORD_BENEFIT not in", values, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitBetween(String value1, String value2) {
            addCriterion("RECORD_BENEFIT between", value1, value2, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordBenefitNotBetween(String value1, String value2) {
            addCriterion("RECORD_BENEFIT not between", value1, value2, "recordBenefit");
            return (Criteria) this;
        }

        public Criteria andRecordSeqIsNull() {
            addCriterion("RECORD_SEQ is null");
            return (Criteria) this;
        }

        public Criteria andRecordSeqIsNotNull() {
            addCriterion("RECORD_SEQ is not null");
            return (Criteria) this;
        }

        public Criteria andRecordSeqEqualTo(String value) {
            addCriterion("RECORD_SEQ =", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqNotEqualTo(String value) {
            addCriterion("RECORD_SEQ <>", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqGreaterThan(String value) {
            addCriterion("RECORD_SEQ >", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqGreaterThanOrEqualTo(String value) {
            addCriterion("RECORD_SEQ >=", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqLessThan(String value) {
            addCriterion("RECORD_SEQ <", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqLessThanOrEqualTo(String value) {
            addCriterion("RECORD_SEQ <=", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqLike(String value) {
            addCriterion("RECORD_SEQ like", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqNotLike(String value) {
            addCriterion("RECORD_SEQ not like", value, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqIn(List<String> values) {
            addCriterion("RECORD_SEQ in", values, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqNotIn(List<String> values) {
            addCriterion("RECORD_SEQ not in", values, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqBetween(String value1, String value2) {
            addCriterion("RECORD_SEQ between", value1, value2, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andRecordSeqNotBetween(String value1, String value2) {
            addCriterion("RECORD_SEQ not between", value1, value2, "recordSeq");
            return (Criteria) this;
        }

        public Criteria andAccountModelIsNull() {
            addCriterion("ACCOUNT_MODEL is null");
            return (Criteria) this;
        }

        public Criteria andAccountModelIsNotNull() {
            addCriterion("ACCOUNT_MODEL is not null");
            return (Criteria) this;
        }

        public Criteria andAccountModelEqualTo(String value) {
            addCriterion("ACCOUNT_MODEL =", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelNotEqualTo(String value) {
            addCriterion("ACCOUNT_MODEL <>", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelGreaterThan(String value) {
            addCriterion("ACCOUNT_MODEL >", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelGreaterThanOrEqualTo(String value) {
            addCriterion("ACCOUNT_MODEL >=", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelLessThan(String value) {
            addCriterion("ACCOUNT_MODEL <", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelLessThanOrEqualTo(String value) {
            addCriterion("ACCOUNT_MODEL <=", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelLike(String value) {
            addCriterion("ACCOUNT_MODEL like", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelNotLike(String value) {
            addCriterion("ACCOUNT_MODEL not like", value, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelIn(List<String> values) {
            addCriterion("ACCOUNT_MODEL in", values, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelNotIn(List<String> values) {
            addCriterion("ACCOUNT_MODEL not in", values, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelBetween(String value1, String value2) {
            addCriterion("ACCOUNT_MODEL between", value1, value2, "accountModel");
            return (Criteria) this;
        }

        public Criteria andAccountModelNotBetween(String value1, String value2) {
            addCriterion("ACCOUNT_MODEL not between", value1, value2, "accountModel");
            return (Criteria) this;
        }

        public Criteria andFlowTypeIsNull() {
            addCriterion("FLOW_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andFlowTypeIsNotNull() {
            addCriterion("FLOW_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andFlowTypeEqualTo(String value) {
            addCriterion("FLOW_TYPE =", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeNotEqualTo(String value) {
            addCriterion("FLOW_TYPE <>", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeGreaterThan(String value) {
            addCriterion("FLOW_TYPE >", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeGreaterThanOrEqualTo(String value) {
            addCriterion("FLOW_TYPE >=", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeLessThan(String value) {
            addCriterion("FLOW_TYPE <", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeLessThanOrEqualTo(String value) {
            addCriterion("FLOW_TYPE <=", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeLike(String value) {
            addCriterion("FLOW_TYPE like", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeNotLike(String value) {
            addCriterion("FLOW_TYPE not like", value, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeIn(List<String> values) {
            addCriterion("FLOW_TYPE in", values, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeNotIn(List<String> values) {
            addCriterion("FLOW_TYPE not in", values, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeBetween(String value1, String value2) {
            addCriterion("FLOW_TYPE between", value1, value2, "flowType");
            return (Criteria) this;
        }

        public Criteria andFlowTypeNotBetween(String value1, String value2) {
            addCriterion("FLOW_TYPE not between", value1, value2, "flowType");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNull() {
            addCriterion("USE_STATE is null");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNotNull() {
            addCriterion("USE_STATE is not null");
            return (Criteria) this;
        }

        public Criteria andUseStateEqualTo(String value) {
            addCriterion("USE_STATE =", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotEqualTo(String value) {
            addCriterion("USE_STATE <>", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThan(String value) {
            addCriterion("USE_STATE >", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThanOrEqualTo(String value) {
            addCriterion("USE_STATE >=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThan(String value) {
            addCriterion("USE_STATE <", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThanOrEqualTo(String value) {
            addCriterion("USE_STATE <=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLike(String value) {
            addCriterion("USE_STATE like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotLike(String value) {
            addCriterion("USE_STATE not like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateIn(List<String> values) {
            addCriterion("USE_STATE in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotIn(List<String> values) {
            addCriterion("USE_STATE not in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateBetween(String value1, String value2) {
            addCriterion("USE_STATE between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotBetween(String value1, String value2) {
            addCriterion("USE_STATE not between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNull() {
            addCriterion("CREATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNotNull() {
            addCriterion("CREATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("CREATE_USER =", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("CREATE_USER <>", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("CREATE_USER >", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_USER >=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThan(String value) {
            addCriterion("CREATE_USER <", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("CREATE_USER <=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLike(String value) {
            addCriterion("CREATE_USER like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotLike(String value) {
            addCriterion("CREATE_USER not like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("CREATE_USER in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("CREATE_USER not in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("CREATE_USER between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("CREATE_USER not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNull() {
            addCriterion("UPDATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNotNull() {
            addCriterion("UPDATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserEqualTo(String value) {
            addCriterion("UPDATE_USER =", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotEqualTo(String value) {
            addCriterion("UPDATE_USER <>", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThan(String value) {
            addCriterion("UPDATE_USER >", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER >=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThan(String value) {
            addCriterion("UPDATE_USER <", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER <=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLike(String value) {
            addCriterion("UPDATE_USER like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotLike(String value) {
            addCriterion("UPDATE_USER not like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIn(List<String> values) {
            addCriterion("UPDATE_USER in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotIn(List<String> values) {
            addCriterion("UPDATE_USER not in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserBetween(String value1, String value2) {
            addCriterion("UPDATE_USER between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotBetween(String value1, String value2) {
            addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("UPDATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("UPDATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("UPDATE_TIME =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("UPDATE_TIME <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("UPDATE_TIME >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("UPDATE_TIME <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("UPDATE_TIME in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("UPDATE_TIME not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    /**
     *  * cw_bd_scenario
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * cw_bd_scenario 2019-09-17
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}